Skip to content

Create or resolve a universal profile and trigger a marketing journey

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
object(JourneyTriggerProfileRequestDTO)

DTO (com.spr.journey.beans.JourneyTriggerProfileRequestDTO)

curl -i -X POST \
  https://api3.sprinklr.com/prod/api/v3/marketingJourney/trigger/newProfile \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{}'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }